package example.energy.coolemall;

import schedframe.resources.computing.ComputingNode;
import schedframe.resources.computing.Processor;
import schedframe.resources.computing.profiles.energy.EnergyEvent;
import schedframe.resources.devices.Device;
import schedframe.resources.devices.PhysicalResource;
import schedframe.scheduling.manager.tasks.JobRegistry;
import example.energy.BaseEnergyEstimationPlugin;

public class HeatsinkEnergyEstimationPlugin extends BaseEnergyEstimationPlugin  {

	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
			PhysicalResource resource) {
		
		double powerConsumption = 0;
		Device device = (Device) resource;
		ComputingNode cn = (ComputingNode) device.getComputingResource();
		for(Processor proc : cn.getProcessors()){
			powerConsumption = powerConsumption + proc.getPowerInterface().getRecentPowerUsage().getValue();
		}
		return powerConsumption;
	}

}

